package com.example.myapplication

import android.os.Bundle
import android.util.Log
import androidx.appcompat.app.AppCompatActivity
import retrofit2.Call
import retrofit2.Callback
import retrofit2.Response
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory
import retrofit2.http.GET


class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        val retrofit = Retrofit.Builder()
            .baseUrl("http://cinema.areas.su")
            .addConverterFactory(GsonConverterFactory.create())
            .build()
        val getUsers = retrofit.create(APIService::class.java)
        val call: Call<List<Users>> = getUsers.users
        call.enqueue(object : Callback<List<Users>> {
            override fun onResponse(p0: Call<List<Users>>, p1: Response<List<Users>>) {
                val users: List<Users>? = p1.body()
                Log.d("TAG1", users.toString())
            }

            override fun onFailure(p0: Call<List<Users>>?, p1: Throwable?) {
                Log.d("TAG1", p0.toString())
            }
        })

    }

    interface APIService {
        @get:GET("user")
        val users: Call<List<Users>>
    }
}